/*********************************************
 *                                           *
 *         Programa Editor em Janela         *
 *         Edita 2 arquivos em 2 janelas     *
 *         Usa ncurses(3)                    *
 *                                           *
 *                                           *
 *********************************************/

#include <curses.h>
#include <signal.h>
#include <stdlib.h>

#include "edicao.h"
#include "arquivo.h"

/* Desenha linha vertical pela tela em uma coluna especificada */
/* Programa Principal */
main (int argc, char *argv[])
{

  /* Inicia parametros e ambiente de edicao */
  /* Precisa de 2 nomes de arquivos como argumentos */
  if (argc != 3){
    fprintf (stderr, "%s: indique 2 arquivos como argumentos\n", argv[0]);
    exit(1);
  }

  /* Inicia ambiente NCURSES */
  initscr();
  raw();
  noecho();
  nonl();
  keypad(stdscr, TRUE);

  /* Define 2 areas de edicao do mesmo tamanho */
  setWindows (argc - 1);

  /* Define conteudo inicial das areas de edicao com os 2 arquivos */
  loadFiles(argc - 1, argv + 1);

  /* Area da Esquerda como area corrente de edicao */
  initEdit(JANELA_ESQUERDA);

  /* Inicia edicao */
  processar ();

  /* Limpa tela e finaliza ambiente ncurses antes de terminar programa */
  endwin ();
  exit (0);

}

